Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Client

Name

### ip()

Examples

    // Example by Tom Igoe

    import processing.net.*;
    Client myClient;

    void setup() {
      size(200, 200);
      // Connect to the local machine at port 5204.
      // This example will not run if you haven't
      // previously started a server on this port
      myClient = new Client(this, "127.0.0.1", 5204);
      println(myClient.ip());
    }

Description | Returns the IP address of the computer to which the Client is attached.

Syntax

    client.available()

Parameters

client | any variable of type Client

Returns | String
Usage | Application

Updated on November 22, 2008 08:39:25pm PST